Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.connectionfactory
Class ConnectionFactoryJNDIMapper

    java.lang.Object
      org.jboss.jms.server.connectionfactory.ConnectionFactoryJNDIMapper

All Implemented Interfaces:
  ConnectionFactoryManager

public class ConnectionFactoryJNDIMapper
extends java.lang.Object
implements ConnectionFactoryManager

Version:
  `$Revision: 1.8 $` $Id: ConnectionFactoryJNDIMapper.java,v 1.8 2006/04/13 19:43:05 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Field Summary
`protected java.util.Map` | `endpoints`
`protected java.util.Map` | `factories`
`protected javax.naming.Context` | `initialContext`
`protected ServerPeer` | `serverPeer`

Constructor Summary
`ConnectionFactoryJNDIMapper(ServerPeer serverPeer)`

Method Summary
`javax.jms.ConnectionFactory` | `getConnectionFactory(int connectionFactoryID)`
`int` | `registerConnectionFactory(java.lang.String clientID, JNDIBindings jndiBindings, java.lang.String locatorURI, boolean clientPing)`
`void` | `start()`
`void` | `stop()`
`void` | `unregisterConnectionFactory(int connFactoryID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### initialContext

    protected javax.naming.Context initialContext

### serverPeer

    protected ServerPeer serverPeer

### endpoints

    protected java.util.Map endpoints

### factories

    protected java.util.Map factories

Constructor Detail

### ConnectionFactoryJNDIMapper

    public ConnectionFactoryJNDIMapper(ServerPeer serverPeer)
                                throws java.lang.Exception

Method Detail

### registerConnectionFactory

    public int registerConnectionFactory(java.lang.String clientID,
                                         JNDIBindings jndiBindings,
                                         java.lang.String locatorURI,
                                         boolean clientPing)
                                  throws java.lang.Exception

  Specified by:
    `registerConnectionFactory` in interface `ConnectionFactoryManager`
  Parameters:
    `jndiBindings` - - if null, the connection factory will be created and registered with the AOP subsystem, but not bound in JNDI.
  Returns:
    an identifier that uniques identifies the registered ConnectionFactory.
  Throws:
    `java.lang.Exception`

### unregisterConnectionFactory

    public void unregisterConnectionFactory(int connFactoryID)
                                     throws java.lang.Exception

  Specified by:
    `unregisterConnectionFactory` in interface `ConnectionFactoryManager`
  Throws:
    `java.lang.Exception`

### getConnectionFactory

    public javax.jms.ConnectionFactory getConnectionFactory(int connectionFactoryID)

  Specified by:
    `getConnectionFactory` in interface `ConnectionFactoryManager`

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.